## PkRepoSignatureRequired

PkRepoSignatureRequired — RepoSignatureRequired object

## Functions

PkRepoSignatureRequired * | pk_repo_signature_required_new ()

## Properties

gchar * | key-fingerprint | Read / Write
gchar * | key-id | Read / Write
gchar * | key-timestamp | Read / Write
gchar * | key-url | Read / Write
gchar * | key-userid | Read / Write
gchar * | package-id | Read / Write
gchar * | repository-name | Read / Write
PkSigTypeEnum | type | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkRepoSignatureRequired

## Description

This GObject represents a repo_signature_required from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_repo_signature_required_new ()

    PkRepoSignatureRequired *
    pk_repo_signature_required_new (void);

#### Returns

a new PkRepoSignatureRequired object.

Since: 0.5.4

## Types and Values

## Property Details

### The `“key-fingerprint”` property

      “key-fingerprint”          gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“key-id”` property

      “key-id”                   gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“key-timestamp”` property

      “key-timestamp”            gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“key-url”` property

      “key-url”                  gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“key-userid”` property

      “key-userid”               gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“package-id”` property

      “package-id”               gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“repository-name”` property

      “repository-name”          gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“type”` property

      “type”                     PkSigTypeEnum

Flags: Read / Write

Default value: PK_SIGTYPE_ENUM_UNKNOWN

Since: 0.5.4